Package net.snowflake.client.jdbc

## Class BindingParameterMetadata

- java.lang.Object
- - net.snowflake.client.jdbc.BindingParameterMetadata

    public class BindingParameterMetadata
    extends Object

### Nested Class Summary

Nested Classes
`static class` `BindingParameterMetadata.BindingParameterMetadataBuilder`

### Constructor Summary

Constructors
`BindingParameterMetadata()`
`BindingParameterMetadata​(String type)`
`BindingParameterMetadata​(String type, String name)`
`BindingParameterMetadata​(String type, String name, Integer length, Integer byteLength, Integer precision, Integer scale, Boolean nullable)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Integer` `getByteLength()`
`List<BindingParameterMetadata>` `getFields()`
`Integer` `getLength()`
`String` `getName()`
`Integer` `getPrecision()`
`Integer` `getScale()`
`String` `getType()`
`Boolean` `isNullable()`
`void` `setByteLength​(Integer byteLength)`
`void` `setFields​(List<BindingParameterMetadata> fields)`
`void` `setLength​(Integer length)`
`void` `setName​(String name)`
`void` `setNullable​(Boolean nullable)`
`void` `setPrecision​(Integer precision)`
`void` `setScale​(Integer scale)`
`void` `setType​(String type)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BindingParameterMetadata

    public BindingParameterMetadata​(String type)

#### BindingParameterMetadata

    public BindingParameterMetadata​(String type,
                                    String name)

#### BindingParameterMetadata

    public BindingParameterMetadata​(String type,
                                    String name,
                                    Integer length,
                                    Integer byteLength,
                                    Integer precision,
                                    Integer scale,
                                    Boolean nullable)

#### BindingParameterMetadata

    public BindingParameterMetadata()

### Method Detail

#### getType

    public String getType()

#### setType

    public void setType​(String type)

#### getName

    public String getName()

#### setName

    public void setName​(String name)

#### getLength

    public Integer getLength()

#### setLength

    public void setLength​(Integer length)

#### getByteLength

    public Integer getByteLength()

#### setByteLength

    public void setByteLength​(Integer byteLength)

#### getPrecision

    public Integer getPrecision()

#### setPrecision

    public void setPrecision​(Integer precision)

#### getScale

    public Integer getScale()

#### setScale

    public void setScale​(Integer scale)

#### isNullable

    public Boolean isNullable()

#### setNullable

    public void setNullable​(Boolean nullable)

#### getFields

    public List<BindingParameterMetadata> getFields()

#### setFields

    public void setFields​(List<BindingParameterMetadata> fields)